> For the complete documentation index, see [llms.txt](https://docs.launchboard.app/cxd/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchboard.app/cxd/code-trivia-app-1/advanced/code-mod-examples/add-next-question-button.md).

# Add "Next Question" Button

![](https://2526237838-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LDyl4Aa9ODxsRVF0-_l%2F-LQFD6zGS5D4cb9zbKgy%2F-LQFEuc4SCpMQpCRkRXo%2FnextButton.png?alt=media\&token=e99d9261-5be4-48a4-a322-030860653db9)

The default trivia template moves the player on to the next question after a few seconds. This example demonstrates how to add a button for the player to click that moves the game along to the next question.

### Javascript Changes

First, find the `onClickedAnswer( )` function. Then locate the following line of code in that function.

```javascript
setTimeout(trivia.gotoNextQuestion, 3000);
```

The code above causes your game to wait 3 seconds before moving on to the next question. Since you will use a button instead, you can either delete this line of code or comment `//` it out.

Next, add the following line of code as a replacement. Notice how an HTML button is appended after your question feedback that responds to a click by running `trivia.gotoNextQuestion()` .

```javascript
$("#feedback").append(`<br><button onclick="trivia.gotoNextQuestion();">Next Question</br>`);
```

That's it. It should work for you. Consider styling this button differently by assigning it a class and adding the new style in your CSS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.launchboard.app/cxd/code-trivia-app-1/advanced/code-mod-examples/add-next-question-button.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
